Bug 398320 - konsole crashes sometimes when selecting or pasting text while pressing shift key
Summary: konsole crashes sometimes when selecting or pasting text while pressing shift...
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Applications
Component: general (show other bugs)
Version: 22.08.0
Platform: openSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords: drkonqi
: 402267 406999 426242 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-09-06 11:54 UTC by cybea
Modified: 2022-10-19 02:07 UTC (History)
8 users (show)

See Also:
Latest Commit:
Version Fixed In: 20.08.2


Attachments
New crash information added by DrKonqi (8.46 KB, text/plain)
2018-09-09 12:49 UTC, gulp21
Details
New crash information added by DrKonqi (8.29 KB, text/plain)
2018-09-11 11:39 UTC, cybea
Details
New crash information added by DrKonqi (8.34 KB, text/plain)
2018-09-20 15:50 UTC, cybea
Details
New crash information added by DrKonqi (8.31 KB, text/plain)
2018-09-27 15:40 UTC, cybea
Details
New crash information added by DrKonqi (9.03 KB, text/plain)
2018-10-02 18:11 UTC, cybea
Details
Fix (1.58 KB, patch)
2020-09-06 12:17 UTC, Martin Sandsmark
Details
New crash information added by DrKonqi (5.57 KB, text/plain)
2022-08-21 18:10 UTC, Ilya Bizyaev
Details
New crash information added by DrKonqi (3.25 KB, text/plain)
2022-10-06 17:16 UTC, Eric Atkin
Details
attachment-32512-0.html (4.86 KB, text/html)
2022-10-10 15:43 UTC, Eric Atkin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cybea 2018-09-06 11:54:34 UTC
Application: konsole (18.08.0)

Qt Version: 5.11.1
Frameworks Version: 5.49.0
Operating System: Linux 4.15.0-33-generic x86_64
Distribution: KDE neon User Edition 5.13

-- Information about the crash:
- What I was doing when the application crashed:

select or paste text in vim

(usually I work with vim and select or paste text while pressing shift key due to changed vim behavior automatically switching to visual mode when not pessing shift key)

The crash can be reproduced sometimes.

-- Backtrace:
Application: Konsole (konsole), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f3f6b7cd8c0 (LWP 8085))]

Thread 2 (Thread 0x7f3f4ef33700 (LWP 8110)):
#0  0x00007f3f6b176811 in __GI_ppoll (fds=fds@entry=0x7f3f48013ee8, nfds=nfds@entry=1, timeout=<optimized out>, timeout@entry=0x0, sigmask=sigmask@entry=0x0) at ../sysdeps/unix/sysv/linux/ppoll.c:50
#1  0x00007f3f6766db21 in ppoll (__ss=<optimized out>, __timeout=<optimized out>, __nfds=<optimized out>, __fds=<optimized out>) at /usr/include/x86_64-linux-gnu/bits/poll2.h:77
#2  qt_ppoll (timeout_ts=0x0, nfds=1, fds=0x7f3f48013ee8) at kernel/qcore_unix.cpp:112
#3  qt_safe_poll (fds=0x7f3f48013ee8, nfds=1, timeout_ts=timeout_ts@entry=0x0) at kernel/qcore_unix.cpp:133
#4  0x00007f3f6766f1b2 in QEventDispatcherUNIX::processEvents (this=<optimized out>, flags=...) at kernel/qeventdispatcher_unix.cpp:500
#5  0x00007f3f676195ba in QEventLoop::exec (this=this@entry=0x7f3f4ef32cc0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:214
#6  0x00007f3f6744e5e4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:525
#7  0x00007f3f6555df35 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#8  0x00007f3f67459727 in QThreadPrivate::start (arg=0x7f3f657d6d60) at thread/qthread_unix.cpp:367
#9  0x00007f3f62a0e6ba in start_thread (arg=0x7f3f4ef33700) at pthread_create.c:333
#10 0x00007f3f6b18241d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7f3f6b7cd8c0 (LWP 8085)):
[KCrash Handler]
#6  0x00007f3f6adceffc in std::__atomic_base<int>::load (__m=std::memory_order_relaxed, this=0x7ffffffff) at /usr/include/c++/5/bits/atomic_base.h:396
#7  QAtomicOps<int>::load<int> (_q_value=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qatomic_cxx11.h:227
#8  QBasicAtomicInteger<int>::load (this=0x7ffffffff) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qbasicatomic.h:103
#9  QtPrivate::RefCount::isShared (this=0x7ffffffff) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qrefcount.h:101
#10 QVector<Konsole::Character>::isDetached (this=0x1ef9400) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvector.h:106
#11 QVector<Konsole::Character>::detach (this=0x1ef9400) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvector.h:383
#12 QVector<Konsole::Character>::data (this=0x1ef9400) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvector.h:127
#13 Konsole::Screen::copyLineToStream (this=this@entry=0x13cd350, line=line@entry=659, start=163, count=count@entry=1, decoder=decoder@entry=0x7ffcc2c628d0, appendNewLine=<optimized out>, options=...) at /workspace/build/src/Screen.cpp:1346
#14 0x00007f3f6adcf58b in Konsole::Screen::writeToStream (this=this@entry=0x13cd350, decoder=decoder@entry=0x7ffcc2c628d0, startIndex=startIndex@entry=178752, endIndex=endIndex@entry=178752, options=options@entry=...) at /workspace/build/src/Screen.cpp:1275
#15 0x00007f3f6add0152 in Konsole::Screen::text (this=0x13cd350, startIndex=178752, endIndex=178752, options=...) at /workspace/build/src/Screen.cpp:1226
#16 0x00007f3f6add01f6 in Konsole::Screen::selectedText (this=<optimized out>, options=..., options@entry=...) at /workspace/build/src/Screen.cpp:1207
#17 0x00007f3f6ad9ddaa in Konsole::Emulation::checkSelectedText (this=0x13cc700) at /workspace/build/src/Emulation.cpp:106
#18 0x00007f3f676482a6 in QtPrivate::QSlotObjectBase::call (a=0x7ffcc2c62a70, r=0x13cc700, this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:376
#19 QMetaObject::activate (sender=0x163d970, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x0) at kernel/qobject.cpp:3754
#20 0x00007f3f67648887 in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7f3f6b073060 <Konsole::ScreenWindow::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x0) at kernel/qobject.cpp:3633
#21 0x00007f3f6ae22603 in Konsole::ScreenWindow::selectionChanged (this=<optimized out>) at /workspace/build/obj-x86_64-linux-gnu/src/moc_ScreenWindow.cpp:188
#22 0x00007f3f6add0bc3 in Konsole::ScreenWindow::setSelectionStart (this=<optimized out>, column=<optimized out>, line=line@entry=659, columnMode=columnMode@entry=false) at /workspace/build/src/ScreenWindow.cpp:151
#23 0x00007f3f6adfeceb in Konsole::TerminalDisplay::extendSelection (this=this@entry=0x15dd5d0, position=...) at /workspace/build/src/TerminalDisplay.cpp:2626
#24 0x00007f3f6ae03366 in Konsole::TerminalDisplay::mousePressEvent (this=0x15dd5d0, ev=0x7ffcc2c63030) at /workspace/build/src/TerminalDisplay.cpp:2289
#25 0x00007f3f686bc03f in QWidget::event (this=this@entry=0x15dd5d0, event=event@entry=0x7ffcc2c63030) at kernel/qwidget.cpp:8897
#26 0x00007f3f6ae03caa in Konsole::TerminalDisplay::event (this=0x15dd5d0, event=0x7ffcc2c63030) at /workspace/build/src/TerminalDisplay.cpp:3672
#27 0x00007f3f6867c39c in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x15dd5d0, e=0x7ffcc2c63030) at kernel/qapplication.cpp:3727
#28 0x00007f3f68683db3 in QApplication::notify (this=<optimized out>, receiver=0x15dd5d0, e=0x7ffcc2c63030) at kernel/qapplication.cpp:3203
#29 0x00007f3f6761b228 in QCoreApplication::notifyInternal2 (receiver=receiver@entry=0x15dd5d0, event=event@entry=0x7ffcc2c63030) at kernel/qcoreapplication.cpp:1048
#30 0x00007f3f68682faf in QCoreApplication::sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#31 QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x15dd5d0, event=event@entry=0x7ffcc2c63030, alienWidget=alienWidget@entry=0x15dd5d0, nativeWidget=0x118fc40, buttonDown=buttonDown@entry=0x7f3f68d858d0 <qt_button_down>, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:2695
#32 0x00007f3f686d5abd in QWidgetWindow::handleMouseEvent (this=this@entry=0x1243dc0, event=event@entry=0x7ffcc2c63430) at kernel/qwidgetwindow.cpp:659
#33 0x00007f3f686d84cb in QWidgetWindow::event (this=0x1243dc0, event=0x7ffcc2c63430) at kernel/qwidgetwindow.cpp:280
#34 0x00007f3f6867c39c in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x1243dc0, e=0x7ffcc2c63430) at kernel/qapplication.cpp:3727
#35 0x00007f3f68683ab0 in QApplication::notify (this=0x1125870, receiver=0x1243dc0, e=0x7ffcc2c63430) at kernel/qapplication.cpp:3486
#36 0x00007f3f6761b228 in QCoreApplication::notifyInternal2 (receiver=receiver@entry=0x1243dc0, event=event@entry=0x7ffcc2c63430) at kernel/qcoreapplication.cpp:1048
#37 0x00007f3f67e713cf in QCoreApplication::sendSpontaneousEvent (event=0x7ffcc2c63430, receiver=0x1243dc0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:237
#38 QGuiApplicationPrivate::processMouseEvent (e=0x1d860e0) at kernel/qguiapplication.cpp:2082
#39 0x00007f3f67e73415 in QGuiApplicationPrivate::processWindowSystemEvent (e=e@entry=0x1d860e0) at kernel/qguiapplication.cpp:1817
#40 0x00007f3f67e4de1b in QWindowSystemInterface::sendWindowSystemEvents (flags=..., flags@entry=...) at kernel/qwindowsysteminterface.cpp:1032
#41 0x00007f3f58daacb6 in QUnixEventDispatcherQPA::processEvents (this=<optimized out>, flags=...) at qunixeventdispatcher.cpp:69
#42 0x00007f3f676195ba in QEventLoop::exec (this=this@entry=0x7ffcc2c636a0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:214
#43 0x00007f3f676226c4 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1336
#44 0x00007f3f67e67f8c in QGuiApplication::exec () at kernel/qguiapplication.cpp:1762
#45 0x00007f3f6867c2f5 in QApplication::exec () at kernel/qapplication.cpp:2901
#46 0x00007f3f6b46d8fe in kdemain (argc=1, argv=<optimized out>) at /workspace/build/src/main.cpp:207
#47 0x00007f3f6b09b830 in __libc_start_main (main=0x4006b0 <main(int, char**)>, argc=3, argv=0x7ffcc2c639b8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffcc2c639a8) at ../csu/libc-start.c:291
#48 0x00000000004006e9 in _start ()

Possible duplicates by query: bug 397014, bug 393414, bug 390660, bug 387343, bug 384419.

Reported using DrKonqi
Comment 1 cybea 2018-09-06 12:02:07 UTC
additional notes:
- this happens since ~1 Month ago. I always keep my system uptodate. (kde-neon user edition)
- I always work with multiple konsole windows and tabs
- this bug is really annoying and makes work with konsole a pain
Comment 2 gulp21 2018-09-09 12:49:49 UTC
Created attachment 114856 [details]
New crash information added by DrKonqi

konsole (18.08.1) using Qt 5.11.1

- What I was doing when the application crashed:

Starting a block selection using Ctrl+Shift+Alt (instead of just Ctrl+Alt) while the prompt was off-screen (i.e. scrolled some way up). I cannot always reproduce the crash, but I can say that it is unrelated to vim. Started to experience that crash a few weeks ago.

-- Backtrace (Reduced):
#6  0x00007f6c40c03ffc in std::__atomic_base<int>::load (__m=std::memory_order_relaxed, this=0x0) at /usr/include/c++/5/bits/atomic_base.h:396
#7  QAtomicOps<int>::load<int> (_q_value=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qatomic_cxx11.h:227
#8  QBasicAtomicInteger<int>::load (this=0x0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qbasicatomic.h:103
#9  QtPrivate::RefCount::isShared (this=0x0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qrefcount.h:101
#10 QVector<Konsole::Character>::isDetached (this=0x1c2c748) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvector.h:106
Comment 3 cybea 2018-09-11 11:39:35 UTC
Created attachment 114897 [details]
New crash information added by DrKonqi

konsole (18.08.1) using Qt 5.11.1

- What I was doing when the application crashed:

again I worked via ssh in vim and selected text pressing shift-key (forgot to mention vim via ssh last time)

-- Backtrace (Reduced):
#6  0x00007efe46be6ffc in std::__atomic_base<int>::load (__m=std::memory_order_relaxed, this=0x280) at /usr/include/c++/5/bits/atomic_base.h:396
#7  QAtomicOps<int>::load<int> (_q_value=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qatomic_cxx11.h:227
#8  QBasicAtomicInteger<int>::load (this=0x280) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qbasicatomic.h:103
#9  QtPrivate::RefCount::isShared (this=0x280) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qrefcount.h:101
#10 QVector<Konsole::Character>::isDetached (this=0x2f5db30) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvector.h:106
Comment 4 cybea 2018-09-17 15:50:33 UTC
konsole crashed again while selecting text in vim pressing shift key - no ssh involved
Comment 5 cybea 2018-09-19 16:55:37 UTC
Latest crash (in above comment #4) using

KDE Plasma Version: 5.13.5
Frameworks Version: 5.50.0
Qt Version: 5.11.1
Comment 6 cybea 2018-09-20 15:50:12 UTC
Created attachment 115123 [details]
New crash information added by DrKonqi

konsole (18.08.1) using Qt 5.11.1

- What I was doing when the application crashed:

did: git commit
in vim edited message and then tryed to select text in command mode pressing shift key

-- Backtrace (Reduced):
#6  0x00007f85ae835ffc in std::__atomic_base<int>::load (__m=std::memory_order_relaxed, this=0x5f0053454c4946) at /usr/include/c++/5/bits/atomic_base.h:396
#7  QAtomicOps<int>::load<int> (_q_value=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qatomic_cxx11.h:227
#8  QBasicAtomicInteger<int>::load (this=0x5f0053454c4946) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qbasicatomic.h:103
#9  QtPrivate::RefCount::isShared (this=0x5f0053454c4946) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qrefcount.h:101
#10 QVector<Konsole::Character>::isDetached (this=0x1dc14f0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvector.h:106
Comment 7 cybea 2018-09-27 15:40:13 UTC
Created attachment 115267 [details]
New crash information added by DrKonqi

konsole (18.08.1) using Qt 5.11.1

- What I was doing when the application crashed:

this time used ssh + vim and /double clicked/ while pressing shift

---
Plasma Version: 5.13.5

-- Backtrace (Reduced):
#6  0x00007f81e6bd8ffc in std::__atomic_base<int>::load (__m=std::memory_order_relaxed, this=0x100010001002f) at /usr/include/c++/5/bits/atomic_base.h:396
#7  QAtomicOps<int>::load<int> (_q_value=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qatomic_cxx11.h:227
#8  QBasicAtomicInteger<int>::load (this=0x100010001002f) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qbasicatomic.h:103
#9  QtPrivate::RefCount::isShared (this=0x100010001002f) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qrefcount.h:101
#10 QVector<Konsole::Character>::isDetached (this=0x1108b40) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvector.h:106
Comment 8 cybea 2018-09-27 15:46:09 UTC
correction of last comment: no ssh but editing of git commit message
Comment 9 cybea 2018-10-02 18:11:07 UTC
Created attachment 115368 [details]
New crash information added by DrKonqi

konsole (18.08.1) using Qt 5.11.1

- What I was doing when the application crashed:

selecting text in vim in local file system pressing shift key

(still the same after update of kde-neon's ubuntu base to 18.04 bionic)

-- Backtrace (Reduced):
#6  0x00007fd94592d2f9 in std::__atomic_base<int>::load (__m=std::memory_order_relaxed, this=0x51) at /usr/include/c++/7/bits/atomic_base.h:396
#7  QAtomicOps<int>::load<int> (_q_value=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qatomic_cxx11.h:227
#8  QBasicAtomicInteger<int>::load (this=0x51) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qbasicatomic.h:103
#9  QtPrivate::RefCount::isShared (this=0x51) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qrefcount.h:101
#10 QVector<Konsole::Character>::isDetached (this=0x559f00b90128) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvector.h:106
Comment 10 Christoph Feck 2018-10-02 21:33:25 UTC
All backtraces are identical, there is no need to add more of them.
Comment 11 Martin Sandsmark 2018-10-07 12:12:56 UTC
introduced by fcea6742c142fdbfdf53d17c862bfae7652fae3b, I think, that removed a check where it crashes.

reverting that should fix it.
Comment 12 Martin Sandsmark 2018-10-08 12:20:16 UTC
Git commit 5006d0e194d642d8059e15edf9704fd38b579979 by Martin T. H. Sandsmark.
Committed on 08/10/2018 at 12:19.
Pushed by sandsmark into branch 'master'.

Re-introduce bounds check removed in fcea6742c142fdbfdf53d17c862bfae7652fae3b

https://phabricator.kde.org/D16010

M  +2    -0    src/Screen.cpp

https://commits.kde.org/konsole/5006d0e194d642d8059e15edf9704fd38b579979
Comment 13 cybea 2018-11-08 23:29:07 UTC
Why does this bugfix doesn't get "backported" to 18.08?
To me it seems like a trivial patch for an annoying crash.

What I did to get my assumption:
  $ git clone git://anongit.kde.org/konsole
  $ cd konsole
  $ git branch -r --contains 5006d0e194d642d8059e15edf9704fd38b579979
  origin/HEAD -> origin/master
  origin/martin/inactivebg
  origin/master
Comment 14 Wolfgang Bauer 2018-12-21 15:27:01 UTC
*** Bug 402267 has been marked as a duplicate of this bug. ***
Comment 15 Christoph Feck 2019-05-14 20:05:56 UTC
*** Bug 406999 has been marked as a duplicate of this bug. ***
Comment 16 Martin Sandsmark 2020-09-06 11:50:18 UTC
*** Bug 426242 has been marked as a duplicate of this bug. ***
Comment 17 Martin Sandsmark 2020-09-06 11:50:33 UTC
It's back again.
Comment 18 Martin Sandsmark 2020-09-06 11:56:02 UTC
Consistent way to reproduce:

1: Generate enough scrollback to scroll up
2: Scroll up and select something
3: Start something that uses the alternate screen buffer (e. g. vim)
4: Hold down shift and press the mouse button (to start a new selection)
Comment 19 Martin Sandsmark 2020-09-06 12:17:01 UTC
Created attachment 131446 [details]
Fix

This fixes it here by invalidating the selection in TerminalDisplay when switching Screen.

I'm not sure why they duplicate the beginning of the selection, but this is the simplest solution at least.
Comment 20 Bug Janitor Service 2020-09-06 12:19:41 UTC
A possibly relevant merge request was started @ https://invent.kde.org/utilities/konsole/-/merge_requests/207
Comment 21 Martin Sandsmark 2020-09-06 13:43:16 UTC
Git commit 9bb6e3febe82a56b4cc02bee8a15030dc8cedde7 by Martin T. H. Sandsmark.
Committed on 06/09/2020 at 12:18.
Pushed by hindenburg into branch 'master'.

Fix crash when extending selection after switching between primary and secondary screen

M  +5    -0    src/ScreenWindow.cpp
M  +5    -0    src/ScreenWindow.h
M  +5    -0    src/widgets/TerminalDisplay.cpp

https://invent.kde.org/utilities/konsole/commit/9bb6e3febe82a56b4cc02bee8a15030dc8cedde7
Comment 22 Kurt Hindenburg 2020-09-06 14:12:18 UTC
Git commit 4cbe74476820d96421627689ac66a596381c74e5 by Kurt Hindenburg, on behalf of Martin T. H. Sandsmark.
Committed on 06/09/2020 at 14:09.
Pushed by hindenburg into branch 'release/20.08'.

Fix crash when extending selection after switching between primary and secondary screen
FIXED-IN: 20.08.2
(cherry picked from commit 9bb6e3febe82a56b4cc02bee8a15030dc8cedde7)

M  +5    -0    src/ScreenWindow.cpp
M  +5    -0    src/ScreenWindow.h
M  +5    -0    src/TerminalDisplay.cpp

https://invent.kde.org/utilities/konsole/commit/4cbe74476820d96421627689ac66a596381c74e5
Comment 23 Ilya Bizyaev 2022-08-21 18:10:09 UTC
Created attachment 151485 [details]
New crash information added by DrKonqi

konsole (22.08.0) using Qt 5.15.5

I won't be able to reproduce this consistently, but I just had Konsole 22.08 crash with a similar stack trace while selecting text with the Shift key pressed.

-- Backtrace (Reduced):
#4  0x00007f86bd779474 in std::__atomic_base<int>::load (__m=std::memory_order_relaxed, this=0x0) at /usr/include/c++/7/bits/atomic_base.h:396
#5  QAtomicOps<int>::loadRelaxed<int> (_q_value=...) at /usr/include/qt5/QtCore/qatomic_cxx11.h:239
#6  QBasicAtomicInteger<int>::loadRelaxed (this=0x0) at /usr/include/qt5/QtCore/qbasicatomic.h:107
#7  QtPrivate::RefCount::isShared (this=0x0) at /usr/include/qt5/QtCore/qrefcount.h:101
#8  QVector<Konsole::Character>::isDetached (this=0x5577df78f208) at /usr/include/qt5/QtCore/qvector.h:113
Comment 24 Eric Atkin 2022-10-06 17:16:52 UTC
Created attachment 152622 [details]
New crash information added by DrKonqi

konsole (22.08.1) using Qt 5.15.6

I was holding down shift to highlight some text in gvim when the crash occurred.

-- Backtrace (Reduced):
#7  0x00007fa93ab8b112 in std::__glibcxx_assert_fail (file=<optimized out>, line=<optimized out>, function=<optimized out>, condition=<optimized out>) at /usr/src/debug/gcc/libstdc++-v3/src/c++11/debug.cc:60
#8  0x00007fa93c205690 in Konsole::Screen::setSelectionEnd(int, int, bool) () from /usr/lib/libkonsoleprivate.so.1
#9  0x00007fa93c261153 in Konsole::TerminalDisplay::extendSelection(QPoint const&) () from /usr/lib/libkonsoleprivate.so.1
#10 0x00007fa93c265d8a in Konsole::TerminalDisplay::mousePressEvent(QMouseEvent*) () from /usr/lib/libkonsoleprivate.so.1
#11 0x00007fa93bad845b in QWidget::event(QEvent*) () from /usr/lib/libQt5Widgets.so.5
Comment 25 Matan Ziv-Av 2022-10-08 09:35:49 UTC
(In reply to Ilya Bizyaev from comment #23)
> Created attachment 151485 [details]
> New crash information added by DrKonqi
> 
> konsole (22.08.0) using Qt 5.15.5
> 
> I won't be able to reproduce this consistently, but I just had Konsole 22.08
> crash with a similar stack trace while selecting text with the Shift key
> pressed.
> 
> -- Backtrace (Reduced):
> #4  0x00007f86bd779474 in std::__atomic_base<int>::load
> (__m=std::memory_order_relaxed, this=0x0) at
> /usr/include/c++/7/bits/atomic_base.h:396
> #5  QAtomicOps<int>::loadRelaxed<int> (_q_value=...) at
> /usr/include/qt5/QtCore/qatomic_cxx11.h:239
> #6  QBasicAtomicInteger<int>::loadRelaxed (this=0x0) at
> /usr/include/qt5/QtCore/qbasicatomic.h:107
> #7  QtPrivate::RefCount::isShared (this=0x0) at
> /usr/include/qt5/QtCore/qrefcount.h:101
> #8  QVector<Konsole::Character>::isDetached (this=0x5577df78f208) at
> /usr/include/qt5/QtCore/qvector.h:113

Can you tell what was the terminal size when the crash occured? Specifically, how many lines it had?(In reply to Ilya Bizyaev from comment #23)
> Created attachment 151485 [details]
> New crash information added by DrKonqi
> 
> konsole (22.08.0) using Qt 5.15.5
> 
> I won't be able to reproduce this consistently, but I just had Konsole 22.08
> crash with a similar stack trace while selecting text with the Shift key
> pressed.
> 
> -- Backtrace (Reduced):
> #4  0x00007f86bd779474 in std::__atomic_base<int>::load
> (__m=std::memory_order_relaxed, this=0x0) at
> /usr/include/c++/7/bits/atomic_base.h:396
> #5  QAtomicOps<int>::loadRelaxed<int> (_q_value=...) at
> /usr/include/qt5/QtCore/qatomic_cxx11.h:239
> #6  QBasicAtomicInteger<int>::loadRelaxed (this=0x0) at
> /usr/include/qt5/QtCore/qbasicatomic.h:107
> #7  QtPrivate::RefCount::isShared (this=0x0) at
> /usr/include/qt5/QtCore/qrefcount.h:101
> #8  QVector<Konsole::Character>::isDetached (this=0x5577df78f208) at
> /usr/include/qt5/QtCore/qvector.h:113

Can you tell the (In reply to Ilya Bizyaev from comment #23)
> Created attachment 151485 [details]
> New crash information added by DrKonqi
> 
> konsole (22.08.0) using Qt 5.15.5
> 
> I won't be able to reproduce this consistently, but I just had Konsole 22.08
> crash with a similar stack trace while selecting text with the Shift key
> pressed.
> 
> -- Backtrace (Reduced):
> #4  0x00007f86bd779474 in std::__atomic_base<int>::load
> (__m=std::memory_order_relaxed, this=0x0) at
> /usr/include/c++/7/bits/atomic_base.h:396
> #5  QAtomicOps<int>::loadRelaxed<int> (_q_value=...) at
> /usr/include/qt5/QtCore/qatomic_cxx11.h:239
> #6  QBasicAtomicInteger<int>::loadRelaxed (this=0x0) at
> /usr/include/qt5/QtCore/qbasicatomic.h:107
> #7  QtPrivate::RefCount::isShared (this=0x0) at
> /usr/include/qt5/QtCore/qrefcount.h:101
> #8  QVector<Konsole::Character>::isDetached (this=0x5577df78f208) at
> /usr/include/qt5/QtCore/qvector.h:113

Can you tell what was the terminal size when the crash happened? Specifically, what was the terminal height?
Were you using a full terminal application (like vi), or in command line?
Comment 26 Bug Janitor Service 2022-10-08 20:08:49 UTC
A possibly relevant merge request was started @ https://invent.kde.org/utilities/konsole/-/merge_requests/754
Comment 27 Eric Atkin 2022-10-10 15:43:44 UTC
Created attachment 152689 [details]
attachment-32512-0.html

I believe the terminal height was 45 lines. I was using VIM on a remote
host via ssh session.

On Sat, Oct 8, 2022 at 3:35 AM Matan Ziv-Av <bugzilla_noreply@kde.org>
wrote:

> https://bugs.kde.org/show_bug.cgi?id=398320
>
> Matan Ziv-Av <matan@svgalib.org> changed:
>
>            What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>                  CC|                            |matan@svgalib.org
>
> --- Comment #25 from Matan Ziv-Av <matan@svgalib.org> ---
> (In reply to Ilya Bizyaev from comment #23)
> > Created attachment 151485 [details]
> > New crash information added by DrKonqi
> >
> > konsole (22.08.0) using Qt 5.15.5
> >
> > I won't be able to reproduce this consistently, but I just had Konsole
> 22.08
> > crash with a similar stack trace while selecting text with the Shift key
> > pressed.
> >
> > -- Backtrace (Reduced):
> > #4  0x00007f86bd779474 in std::__atomic_base<int>::load
> > (__m=std::memory_order_relaxed, this=0x0) at
> > /usr/include/c++/7/bits/atomic_base.h:396
> > #5  QAtomicOps<int>::loadRelaxed<int> (_q_value=...) at
> > /usr/include/qt5/QtCore/qatomic_cxx11.h:239
> > #6  QBasicAtomicInteger<int>::loadRelaxed (this=0x0) at
> > /usr/include/qt5/QtCore/qbasicatomic.h:107
> > #7  QtPrivate::RefCount::isShared (this=0x0) at
> > /usr/include/qt5/QtCore/qrefcount.h:101
> > #8  QVector<Konsole::Character>::isDetached (this=0x5577df78f208) at
> > /usr/include/qt5/QtCore/qvector.h:113
>
> Can you tell what was the terminal size when the crash occured?
> Specifically,
> how many lines it had?(In reply to Ilya Bizyaev from comment #23)
> > Created attachment 151485 [details]
> > New crash information added by DrKonqi
> >
> > konsole (22.08.0) using Qt 5.15.5
> >
> > I won't be able to reproduce this consistently, but I just had Konsole
> 22.08
> > crash with a similar stack trace while selecting text with the Shift key
> > pressed.
> >
> > -- Backtrace (Reduced):
> > #4  0x00007f86bd779474 in std::__atomic_base<int>::load
> > (__m=std::memory_order_relaxed, this=0x0) at
> > /usr/include/c++/7/bits/atomic_base.h:396
> > #5  QAtomicOps<int>::loadRelaxed<int> (_q_value=...) at
> > /usr/include/qt5/QtCore/qatomic_cxx11.h:239
> > #6  QBasicAtomicInteger<int>::loadRelaxed (this=0x0) at
> > /usr/include/qt5/QtCore/qbasicatomic.h:107
> > #7  QtPrivate::RefCount::isShared (this=0x0) at
> > /usr/include/qt5/QtCore/qrefcount.h:101
> > #8  QVector<Konsole::Character>::isDetached (this=0x5577df78f208) at
> > /usr/include/qt5/QtCore/qvector.h:113
>
> Can you tell the (In reply to Ilya Bizyaev from comment #23)
> > Created attachment 151485 [details]
> > New crash information added by DrKonqi
> >
> > konsole (22.08.0) using Qt 5.15.5
> >
> > I won't be able to reproduce this consistently, but I just had Konsole
> 22.08
> > crash with a similar stack trace while selecting text with the Shift key
> > pressed.
> >
> > -- Backtrace (Reduced):
> > #4  0x00007f86bd779474 in std::__atomic_base<int>::load
> > (__m=std::memory_order_relaxed, this=0x0) at
> > /usr/include/c++/7/bits/atomic_base.h:396
> > #5  QAtomicOps<int>::loadRelaxed<int> (_q_value=...) at
> > /usr/include/qt5/QtCore/qatomic_cxx11.h:239
> > #6  QBasicAtomicInteger<int>::loadRelaxed (this=0x0) at
> > /usr/include/qt5/QtCore/qbasicatomic.h:107
> > #7  QtPrivate::RefCount::isShared (this=0x0) at
> > /usr/include/qt5/QtCore/qrefcount.h:101
> > #8  QVector<Konsole::Character>::isDetached (this=0x5577df78f208) at
> > /usr/include/qt5/QtCore/qvector.h:113
>
> Can you tell what was the terminal size when the crash happened?
> Specifically,
> what was the terminal height?
> Were you using a full terminal application (like vi), or in command line?
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
Comment 28 Kurt Hindenburg 2022-10-19 02:07:10 UTC
https://invent.kde.org/utilities/konsole/-/merge_requests/754 - this didn't close when the MR commit